/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.validator;

import java.util.Arrays;

import junit.framework.TestCase;

public class SimpleMessageCollectorTest extends TestCase {

	public void testNormal() {
		final SimpleMessageCollector collector = new SimpleMessageCollector();
		final ValidatorContext context = new ValidatorContext();
		context.setCollectable(collector);

		context.setKey("key0");
		context.add("message00");
		context.add("message01");
		context.setKey("key1");
		context.add("message10");

		assertEquals(
				Arrays.asList("message00", "message01", "message10"),
				collector.getList());
	}
}
